<?php
class ControllerToolSmsStockCron extends Controller{

 
    public function index()
    {
 
		$smsatilacakliste   = array();
		$urunstokliste      = $this->db->query("SELECT * FROM ps_product_stock  WHERE quantity > 0 and kquantity > 0");
		$urunstoklistedatas = $urunstokliste->rows;
		$this->load->model('setting/setting');
        $netgsm_ayarlari    = $this->model_setting_setting->getSetting('netgsm');
	 
		foreach($urunstoklistedatas as $urunstoklistedata){
			

            
			$quantity    = $urunstoklistedata['quantity'];
			$kquantity   = $urunstoklistedata['kquantity'];
			
			$kritikdurum = $quantity - $kquantity ;
			
			if($kritikdurum < 5){
			  
				if($netgsm_ayarlari['netgsm_status'] == 1){
					
					
					
                    $netgsmsms          = new Netgsmsms($netgsm_ayarlari['netgsm_user'],$netgsm_ayarlari['netgsm_pass'],$netgsm_ayarlari['netgsm_input_smstitle'],'');
                    $text_mesaj         = 'Bu ürünün '.$urunstoklistedata['name'].' | ('.$urunstoklistedata['barcode'].')  stoğu ('.$urunstoklistedata['quantity'].') kritik düzeyin altındadır, kontrol ediniz.';
                    $netgsmsms->sendSMS('05334096453',$text_mesaj);
					
					
					
                    $netgsmsms          = new Netgsmsms($netgsm_ayarlari['netgsm_user'],$netgsm_ayarlari['netgsm_pass'],$netgsm_ayarlari['netgsm_input_smstitle'],'');
                    $text_mesaj         = 'Bu ürünün '.$urunstoklistedata['name'].' | ('.$urunstoklistedata['barcode'].')  stoğu ('.$urunstoklistedata['quantity'].') kritik düzeyin altındadır, kontrol ediniz.';
                    $netgsmsms->sendSMS('05414546199',$text_mesaj);
					
					
					
                    $netgsmsms          = new Netgsmsms($netgsm_ayarlari['netgsm_user'],$netgsm_ayarlari['netgsm_pass'],$netgsm_ayarlari['netgsm_input_smstitle'],'');
                    $text_mesaj         = 'Bu ürünün '.$urunstoklistedata['name'].' | ('.$urunstoklistedata['barcode'].')  stoğu ('.$urunstoklistedata['quantity'].') kritik düzeyin altındadır, kontrol ediniz.';
                    $netgsmsms->sendSMS('05397791879',$text_mesaj);
					
					
					
                    $netgsmsms          = new Netgsmsms($netgsm_ayarlari['netgsm_user'],$netgsm_ayarlari['netgsm_pass'],$netgsm_ayarlari['netgsm_input_smstitle'],'');
                    $text_mesaj         = 'Bu ürünün '.$urunstoklistedata['name'].' | ('.$urunstoklistedata['barcode'].')  stoğu ('.$urunstoklistedata['quantity'].') kritik düzeyin altındadır, kontrol ediniz.';
                    $netgsmsms->sendSMS('05397791879',$text_mesaj);
					
					
					
                    $netgsmsms          = new Netgsmsms($netgsm_ayarlari['netgsm_user'],$netgsm_ayarlari['netgsm_pass'],$netgsm_ayarlari['netgsm_input_smstitle'],'');
                    $text_mesaj         = 'Bu ürünün '.$urunstoklistedata['name'].' | ('.$urunstoklistedata['barcode'].')  stoğu ('.$urunstoklistedata['quantity'].') kritik düzeyin altındadır, kontrol ediniz.';
                    $netgsmsms->sendSMS('05543713647',$text_mesaj);
					
                     
					
                }
				
				
			}
			
			
		}
		


    }

 


}